<?php
/*
| Global settings
| -------------------------------------------------------------------
| ['base_url'] URL to your EZPX root. Typically this 
|       will be your base URL, WITH a trailing slash: 
|       http://example.com/
| ['admin_username'] This is your username to the EZPX admin
|       area
| ['admin_password'] The password to EZPX admin area
*/
$EZPX_conf['base_url']          = "http://.../";
$EZPX_conf['admin_username']    = "admin";
$EZPX_conf['admin_password']    = "admin";


/*
| Database settings
| -------------------------------------------------------------------
| 
|	['db_hostname'] The hostname of your database server.
|	['db_username'] The username used to connect to the database
|	['db_password'] The password used to connect to the database
|	['db_database'] The name of the database you want to connect to
*/
$EZPX_conf['db_hostname']       = "localhost";
$EZPX_conf['db_username']       = "";
$EZPX_conf['db_password']       = "";
$EZPX_conf['db_database']       = "";


/* 
| Template
| -------------------------------------------------------------------
| ['template'] This contains the name of the public EZPX template 
*/
$EZPX_conf['template']          = "ep_clean";



/* 
| -------------------------------------------------------------------
|                         Advanced settings
| -------------------------------------------------------------------
*/

/*
| DATABASE
| -------------------------------------------------------------------
|	['db_dbdriver'] The database type. ie: mysql.  Currently supported:
				 mysql, mysqli, postgre, odbc, mssql, sqlite, oci8
|	['db_dbprefix'] You can add an optional prefix, which will be added
|				 to the table name when using the  Active Record class
|	['db_pconnect'] TRUE/FALSE - Whether to use a persistent connection
|	['db_db_debug'] TRUE/FALSE - Whether database errors should be displayed.
|	['db_cache_on'] TRUE/FALSE - Enables/disables query caching
|	['db_cachedir'] The path to the folder where cache files should be stored
|	['db_char_set'] The character set used in communicating with the database
|	['db_dbcollat'] The character collation used in communicating with the 
|       database
|	['db_table_prefix'] Prefix that the EZPX database tables have 
|
| The $active_group variable lets you choose which connection group to
| make active.  By default there is only one group (the "default" group).
|
| The $active_record variables lets you determine whether or not to load
| the active record class
*/
$EZPX_conf['db_table_prefix']   = "ezpx_";
$EZPX_conf['db_dbdriver']       = "mysql";
$EZPX_conf['db_dbprefix']       = "";
$EZPX_conf['db_pconnect']       = TRUE;
$EZPX_conf['db_db_debug']       = TRUE;
$EZPX_conf['db_cache_on']       = FALSE;
$EZPX_conf['db_cachedir']       = "";
$EZPX_conf['db_char_set']       = "utf8";
$EZPX_conf['db_dbcollat']       = "utf8_general_ci";


/*
|--------------------------------------------------------------------------
| Image Library, Image Library Path
|--------------------------------------------------------------------------
|
| Sets the image library to be used. Image libraries can be: gd, gd2, 
| ImageMagick, NetPBM, depending on your server capability. Most servers
| support gd2.
|
| Image Library Path must be empty in case of gd / gd2.
| 
| ep_default
|
*/
$EZPX_conf['image_library'] = "gd2";
$EZPX_conf['library_path'] = "";


/*
|--------------------------------------------------------------------------
| Wrapper
|--------------------------------------------------------------------------
|
| If this config variable is set to TRUE then the header and footer files
| wrap around the actual page. Acceptable values: TRUE, FALSE (note the
| capitals.
|
*/
$EZPX_conf['wrapper'] = TRUE;


/*
|--------------------------------------------------------------------------
| Index File
|--------------------------------------------------------------------------
|
| Typically this will be your index.php file, unless you've renamed it to
| something else. If you are using mod_rewrite to remove the page set this
| variable so that it is blank.
|
*/
$EZPX_conf['index_page'] = "index.php?";

/*
|--------------------------------------------------------------------------
| URI PROTOCOL
|--------------------------------------------------------------------------
|
| This item determines which server global should be used to retrieve the
| URI string.  The default setting of "AUTO" works for most servers.
| If your links do not seem to work, try one of the other delicious flavors:
|
| 'AUTO'			Default - auto detects
| 'PATH_INFO'		Uses the PATH_INFO
| 'QUERY_STRING'	Uses the QUERY_STRING
| 'REQUEST_URI'		Uses the REQUEST_URI
| 'ORIG_PATH_INFO'	Uses the ORIG_PATH_INFO
|
*/
$EZPX_conf['uri_protocol']	= "QUERY_STRING";

/*
|--------------------------------------------------------------------------
| URL suffix
|--------------------------------------------------------------------------
|
| This option allows you to add a suffix to all URLs generated by CodeIgniter.
| For more information please see the user guide:
|
| http://codeigniter.com/user_guide/general/urls.html
*/

$EZPX_conf['url_suffix'] = "";

/*
|--------------------------------------------------------------------------
| Demo mode
|--------------------------------------------------------------------------
|
| If this boolean value is set to TRUE then the administration area works
| in display mode. Login is allowed but no modification can be done.
|
*/

$EZPX_conf['demo_mode'] = FALSE;

/*
|--------------------------------------------------------------------------
| Default Language
|--------------------------------------------------------------------------
|
| This determines which set of language files should be used. Make sure
| there is an available translation if you intend to use something other
| than english.
|
*/
$EZPX_conf['language']	= "english";

/*
|--------------------------------------------------------------------------
| Default Character Set
|--------------------------------------------------------------------------
|
| This determines which character set is used by default in various methods
| that require a character set to be provided.
|
*/
$EZPX_conf['charset'] = "UTF-8";


/*
|--------------------------------------------------------------------------
| EZBrowser base path
|--------------------------------------------------------------------------
|
| The config variable contains the base path to the file browser of the
| FCKEditor image browser. It's automatically determined but can be 
| overwritten if needed.
|
*/
if (function_exists('realpath') AND @realpath(dirname(__FILE__)) !== FALSE)
{
	$EZPX_conf['EZBrowser_base_path'] = realpath(dirname(__FILE__)) . '/content/uploaded/';
}
else
{
  $EZPX_conf['EZBrowser_base_path'] = "";
}


/*
|--------------------------------------------------------------------------
| EZBrowser base url
|--------------------------------------------------------------------------
|
| The uploaded images' base url (within FCKEditor) with trailing slash. 
| It can be either an absolute path (http://example.com/uploaded/) or a 
| path relative to the document root (/uploaded/ -> note the leading and 
| trailing slashes). 
|
| For further help, please visit 
| http://ezpx.org/docs/config/ezbrowser_base_url
|
*/
// $EZPX_conf['EZBrowser_base_url'] = $EZPX_conf['base_url'] . 'content/uploaded/';
$EZPX_conf['EZBrowser_base_url'] = '/content/uploaded/';


/* End of file config.php */
/* Location: ./config.php */