<?php
/** 
* Image browser - EZBrowser
*
* Using EZBrowser as a CI library
* 
* @package      ezpx 
* @subpackage   Admin
* @author       Peter Zimon 
*/ 
class Image_browser extends Controller {
  
  function Image_browser() 
  {
    parent::Controller();
    
    $this->load->library('session');    
    if ($this->session->userdata('logged_in') != TRUE) 
    {
      die('You must be logged in to use the browser.');
    }
    
    // Instantiate EZBrowser
    /* 
    | CONFIG: ['base_path']
    |--------------------------------------------------------------------
    | The absolute filepath to the uploaded files on the server with an 
    | trailing slash (/)
    */
    $config['base_path'] = $this->config->item('EZBrowser_base_path');
    
    
    /*
    | CONFIG: ['language']
    |--------------------------------------------------------------------
    | The language of the browser. If you would like to add your
    | language words please open up the Ezbrowser.php class file and 
    | search for method set_language().
    */
    $config['language'] = $this->config->item('language');


    /*
    | CONFIG: ['base_url']
    |--------------------------------------------------------------------
    | The URL for the files. Usage: You can enter here an absolute path 
    | (e.g. http://www.example.com/uploaded/) or a relative path. It's 
    | suggested to use relative path because this way the URI of your 
    | domain won't be saved in the database, therefore you can more 
    | easily deploy if your domain changes. When using relative path you 
    | have two choices:
    |
    |   1. using a leading slash (/) means the base URL is relative to
    |      the document root
    |   2. not using a leading slash (/) means the base URL is relative
    |      to the EZBrowser. This one can be used when EZBrowser is
    |      as a library in MVC frameworks (e.g. Codeigniter)
    |
    */               
    $config['base_url'] = $this->config->item('EZBrowser_base_url');


    /*
    | CONFIG: ['session_check_variable']
    |--------------------------------------------------------------------
    | A session variable that is checked before the browser is displayed.
    | If set to FALSE then no check is carried out and the browser will
    | displayed anyway. This config var is used for checking whether user
    | is logged in or not. For security reasons it's strongly advised to 
    | set it.
    */
    $config['session_check_variable'] = FALSE;


    /*
    | CONFIG: ['max_file_size']
    |--------------------------------------------------------------------
    | Maximum file size in bits that is allowed to be uploaded.
    | Example: 1024000 means 10 MBytes.
    */
    $config['max_file_size'] = 1024000;


    /*
    | CONFIG: ['browser_url']
    |--------------------------------------------------------------------
    | You can override the browser's URL (relative or absolute). This is 
    | useful when using EZBrowser as a library in an MVC framework. The
    | default value is 'index.php?dir'. If you use the browser as a
    | standalone application you can leave this empty.
    */
    $config['browser_url'] = 'index.php?/admin/image_browser/index/';
    
    
    /*
    | CONFIG: ['current_dir']
    |--------------------------------------------------------------------
    | the current directory as an input parameter. By default the browser 
    | takes the current directory from the GET param 'dir'. You can 
    | override this by adding second parameter to the constructor. This 
    | can be useful when using the browser as a class in an MVC 
    | environment but if it's used as a standalone application you can 
    | leave it empty.
    */
    $config['current_dir'] = $this->uri->segment(4);
    
    $this->load->library('ezbrowser', $config);
  }

  
  /**
  * Default method
  *
  * Display photo thumbnails with pagination
  * 
  * @access public
  */
  function index() 
	{	 
    $this->ezbrowser->display();
  }
    
}
?>