<?php
/** 
* Administration main controller
*
* Controller for displaying admin mainpage.
* 
* @package      ezpx 
* @subpackage   Admin
* @author       Peter Zimon 
*/ 
class Main extends Controller {

  var $header_data;
  var $settings;


  function Main()
  {
    parent::Controller();
    $this->load->database();
    $this->load->model('Ezpx');
    $this->load->model('Installer');
    
    // Check installation
    if ( ! $this->Installer->check_install())
    {
      redirect('install');
    }
    
    $this->load->library('session');
    $this->header_data['header_title'] = 'ezpx';
    
    if ($this->session->userdata('logged_in') != TRUE) 
    {
      redirect('admin/login');
    }
    
    $stgs = $this->Ezpx->get_settings();
    $this->settings = $stgs ->row_array();
  }
  
  
  /**
  * Default function
  *
  * Just display admin mainpage...
  * 
  * @access	public
  */
  function index()
  {
    if ($this->session->userdata('logged_in') == TRUE)
    {
    
      if ( ! $this->Ezpx->check_settings())
      {
        $view = 'admin/go_to_settings';
      }
      else
      {
        $view = 'admin/main';
      }
      
      $data['all_photos'] = $this->Ezpx->count_all($this->config->item('db_table_prefix') . 'photos');
      $data['all_comments'] = $this->Ezpx->count_all($this->config->item('db_table_prefix') . 'comments');
      $data['last_comment'] = $this->Ezpx->get_last_comment();
      $data['mode'] = $this->settings['mode'];
      
      if ($this->_check_new_version())
      {
        $data['new_version'] = TRUE;
      }
      else
      {
        $data['new_version'] = FALSE;
      }
      
      $this->load->view('admin/header', $this->header_data);
      $this->load->view($view, $data);
      $this->load->view('admin/footer');
    }
    else
    {
      redirect('admin/login');
    }
  }
  
  
  function _check_new_version()
  {
    $url = 'http://www.ezpx.org/latest_release.txt';
    if ($rsp = @file_get_contents($url))
    {
      $blocks = explode('|', $rsp);
      if ($blocks[0] != $this->config->item('ezpx_version_number') OR 
          $blocks[1] != $this->config->item('ezpx_version_phase'))
      {
        return TRUE;
      }
      else
      {
        return FALSE;
      }
    }
    else
    {
      return FALSE;
    }
  }
  
}
?>