<?php
/** 
* Pages
*
* Display page data (like 'About', 'Credits' etc.)
* 
* @package      ezpx 
* @author       Peter Zimon 
*/ 
class Pages extends Controller {

  
  var $settings;

  function Pages() 
  {
    parent::Controller();
    
    $this->load->database();
    $this->load->model('Ezpx');
    
    $libraries = array('parser');
    $this->load->library($libraries);
    
    $stgs = $this->Ezpx->get_settings();
    $stgs = $stgs->result_array();
    $this->settings = $stgs[0];
  }
  

  /**
  * Default function
  * 
  * Display page
  *
  * @access public
  */
  function index()
  {
    // Get global tags <- this must be called first for data displaying
    $data = $this->Ezpx->get_global_tags();
    
    // Get page
    $id = $this->uri->segment(3);
    $page = $this->Ezpx->get_page($id);
    $append_data = $page->row_array();
    $data = array_merge($data, $append_data);
    $subpages = $this->Ezpx->get_all_subpages($id);
    $subpages = $subpages->result_array();
    
    foreach ($subpages as $key => $value) {
      $data['subpages'][$key]['link_url'] = site_url('pages/index/' . $value['id']);
      $data['subpages'][$key]['link_title'] = $value['title'];
    }
    
    $data['body'] = nl2br($data['body']);
  
    // Get configuration
    $data['cfg_wrapper']   = $this->config->item('wrapper');
    $data['tpl_base_dir']  = 'content/templates/' . $this->config->item('template');
    $data['tpl_base_url']  = base_url() . 'content/templates/' . $this->config->item('template');
        
    // Output
    $this->parser->parse('public/pages', $data);
  }

}
?>