<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
if ( ! function_exists('calc_thumbnail'))
{
	function calc_thumbnail_dim($thumbnail_width, $thumbnail_height, $orig_width, $orig_height)
	{
    $height_resized_by_width = $thumbnail_width * $orig_height / $orig_width;
    $width_resized_by_height = $thumbnail_height * $orig_width / $orig_height;
		if ($height_resized_by_width > $width_resized_by_height)
		{
		  return 'width';
		}
		else
		{
		  return 'height';
		}
	}	
}

// ------------------------------------------------------------------------


if ( ! function_exists('ep_parse_date'))
{
	function ep_parse_date($date)
	{
    $return['year'] = substr($date, 0, 4);
    $return['month'] = substr($date, 5, 2);
    $return['day'] = substr($date, 8, 2);
    
    return $return;
	}	
}

// ------------------------------------------------------------------------


if ( ! function_exists('ep_convert_date_to_db'))
{
	function ep_convert_date_to_db($date, $today)
	{
    switch ($date)
    {
      case $today:
        return date('Y-m-d');
        break;
      default:
        return $date;
        break;
    }
	}	
}

// ------------------------------------------------------------------------


if ( ! function_exists('debug'))
{
	function debug($var)
	{
    echo '<pre style="text-align: left;">';
    print_r($var);
    echo '</pre>';
	}	
}

// ------------------------------------------------------------------------


if ( ! function_exists('ep_resize_image'))
{
	function ep_resize_image($global_config, $file_data, $resize_to, $image_lib)
	{
    $config['image_library']    = $global_config->item('image_library');
    $config['library_path']     = $global_config->item('library_path');
    $config['source_image']     = './content/photos/' . $file_data['file_name'];
    $config['new_image']        = './content/photos/resized_' . $file_data['file_name'];
    $config['maintain_ratio']   = TRUE;
    $config['quality']          = '100%';
    $config['master_dim']       = 'auto';
    $config['width']            = $resize_to;
    $config['height']           = $resize_to;
    
    // Init image lib class
    $image_lib->initialize($config);
    
    // Do resize
    if ( ! $image_lib->resize()) 
    {
      return FALSE;
    }
    
    // Clear image library
    $image_lib->clear();
    
    return TRUE;
	}	
}

// ------------------------------------------------------------------------

if ( ! function_exists('ep_create_thumbnail'))
{
	function ep_create_thumbnail($global_config, $file_data, $settings, $image_lib)
	{
	  // Config for temporary file
    $config['image_library']    = $global_config->item('image_library');
    $config['library_path']     = $global_config->item('library_path');
    $config['source_image']     = './content/photos/' . $file_data['file_name'];
    $config['new_image']        = './content/photos/tmp.jpg';
    $config['maintain_ratio']   = TRUE;
    $config['quality']          = '100%';
    $config['master_dim']       = calc_thumbnail_dim($settings['thumbnail_width'], $settings['thumbnail_height'], $file_data['image_width'], $file_data['image_height']);
    $config['width']            = $settings['thumbnail_width'];
    $config['height']           = $settings['thumbnail_height'];
    
    // First temporarily resize 
    $image_lib->initialize($config);
    if ( ! $image_lib->resize())
    {
      return FALSE;
    }
    $image_lib->clear();
    
    // Cream of the crop config
    $config['source_image']     = './content/photos/tmp.jpg';
    $tmp_sizes = @getimagesize('./content/photos/tmp.jpg');
    
    $config['new_image']        = './content/photos/tn_' . $file_data['file_name'];
    $config['maintain_ratio']   = FALSE;
    $config['width']            = $settings['thumbnail_width'];
    $config['height']           = $settings['thumbnail_height'];
    
    // Calculate x and y coords
    $x_axis = round(($tmp_sizes[0] - $settings['thumbnail_width']) / 2);
    if ($x_axis < 0) $x_axis = 0;
    
    $y_axis = round(($tmp_sizes[1] - $settings['thumbnail_height']) / 2);
    if ($y_axis < 0) $y_axis = 0;
    
    $config['x_axis']           = $x_axis;
    $config['y_axis']           = $y_axis;
    
    // Crop it!
    $image_lib->initialize($config);
    if ( ! $image_lib->crop())
    {
      return FALSE;
    }
    
    // Clear image library
    $image_lib->clear();
    
    return TRUE;
	}	
}

// ------------------------------------------------------------------------

if ( ! function_exists('calc_dim'))
{
	function calc_dim($orig_w, $orig_h, $new_w, $new_h)
	{
	  // Height needs to be calculated
    if ($new_w && ! $new_h)
    {
      return round($orig_h * $new_w / $orig_w);
    }
    
    // Height needs to be calculated
    if ($new_h && ! $new_w)
    {
      return round($orig_w * $new_h / $orig_h);
    }
	}	
}

/* End of file array_helper.php */
/* Location: ./system/helpers/array_helper.php */