<div id="header">
  <h1><?php echo $this->lang->line('settings');?></h1>
</div>

<div id="maincontent">
  
  <div class="errors">
    <?php echo validation_errors();?>
  </div>
  
  <?php echo form_open('admin/settings');?>

  <!-- ++++++++++++++++++++++ BLOGGING OPTIONS +++++++++++++++++++++++ -->

  <div class="greybox margin_t">
    <div class="greybox_top"><div></div></div>
      <div class="greybox_content">
  
      <div id="blogging_options_switch" class="<?php echo ($blogging_options_open ? 'grey_switch_open' : 'grey_switch_close')?>"><a href="javascript:;" onClick="javascript:toggle_options('blogging_options_container', 'blogging_options_switch');"><?php echo $this->lang->line('blogging_options');?></a></div>
  
      <div id="blogging_options_container" class="options_container" style="display: <?php echo ($blogging_options_open ? 'block' : 'none')?>;">
        
        <div class="margin_t_s">
          <div class="input_label_s"><?php echo $this->lang->line('blog_title');?>:</div>
          <div class="input_field_s"><input type="text" name="blog_title" value="<?php echo set_value('blog_title', $blog_title)?>" size="4" class="width_100<?php echo (form_error('blog_title') ? ' redborder' : '')?>" /></div>
        </div>
        
        <div class="margin_t_s">
          <input type="checkbox" name="comments_allowed" value="1" <?php echo set_checkbox('comments_allowed', '1', $comments_allowed);?> />
          <?php echo $this->lang->line('comments_are_allowed');?>
        </div>
        
        <div class="margin_t_s">
          <input type="checkbox" name="rss" value="1" <?php echo set_checkbox('rss', '1', $rss);?> />
          <?php echo $this->lang->line('rss_on');?>
        </div>
        
      </div>
  
      </div>
    <div class="greybox_bottom"><div></div></div>
  </div>
  
  
  <!-- ++++++++++++++++++++++ PHOTO OPTIONS +++++++++++++++++++++++ -->
  
  <div class="greybox margin_t">
    <div class="greybox_top"><div></div></div>
      <div class="greybox_content">
        
      <div id="photo_options_switch" class="<?php echo ($photo_options_open ? 'grey_switch_open' : 'grey_switch_close')?>"><a href="javascript:;" onClick="javascript:toggle_options('photo_options_container', 'photo_options_switch');"><?php echo $this->lang->line('photo_options');?></a></div>
      
      <div id="photo_options_container" class="options_container" style="display: <?php echo ($photo_options_open ? 'block' : 'none')?>;">
        
        <div class="warning_box_purple">
          <?php echo $this->lang->line('settings_warning');?>
        </div>
        
        <div class="margin_t_s">
          <input type="checkbox" name="dynamic_resize" value="1" <?php echo set_checkbox('dynamic_resize', '1', $dynamic_resize);?> />
          <?php echo $this->lang->line('dynamic_resizing');?>
          <a href="javascript:;" title="<?php echo $this->lang->line('dynamic_resize_info')?>" class="s">What's this?</a>
        </div>
        
        <div class="margin_t_s">
          <?php echo $this->lang->line('resize_photos_to');?>
          <input type="text" name="resize_to" value="<?php echo set_value('resize_to', $resize_to)?>" size="4" class="autowidth<?php echo (form_error('resize_to') ? ' redborder' : '')?>" /> px
        </div>
      
        <div class="margin_t_s">
          <?php echo $this->lang->line('thumbnail_size');?>:
          <input type="text" name="thumbnail_width" value="<?php echo set_value('thumbnail_width', $thumbnail_width)?>" size="4" class="autowidth<?php echo (form_error('thumbnail_width') ? ' redborder' : '')?>" /> x 
          <input type="text" name="thumbnail_height" value="<?php echo set_value('thumbnail_height', $thumbnail_height)?>" size="4" class="autowidth<?php echo (form_error('thumbnail_height') ? ' redborder' : '')?>" /> px
        </div>
      </div>
      
      </div>
    <div class="greybox_bottom"><div></div></div>
  </div>
  
  
  <!-- ++++++++++++++++++++++ LAYOUT OPTIONS +++++++++++++++++++++++ -->
  <div class="greybox margin_t">
    <div class="greybox_top"><div></div></div>
      <div class="greybox_content">
  
      <div id="layout_options_switch" class="<?php echo ($layout_options_open ? 'grey_switch_open' : 'grey_switch_close')?>"><a href="javascript:;" onClick="javascript:toggle_options('layout_options_container', 'layout_options_switch');"><?php echo $this->lang->line('layout_options');?></a></div>
  
      <div id="layout_options_container" class="options_container" style="display: <?php echo ($layout_options_open ? 'block' : 'none')?>;">
        
        <h3><?php echo $this->lang->line('general')?></h3>
        
        <div class="margin_t_s">
          <?php echo $this->lang->line('display');?>
          <input type="text" name="photos_per_page" value="<?php echo set_value('photos_per_page', $photos_per_page)?>" size="4" class="autowidth<?php echo (form_error('photos_per_page') ? ' redborder' : '')?>" />
          <?php echo $this->lang->line('photos_per_page_on_mainpage');?>
        </div>
      
        <div class="margin_t_s">
          <?php echo $this->lang->line('display');?>
          <input type="text" name="archive_per_page" value="<?php echo set_value('archive_per_page', $archive_per_page)?>" size="4" class="autowidth<?php echo (form_error('archive_per_page') ? ' redborder' : '')?>" />
          <?php echo $this->lang->line('thumbnails_per_page_on_archives');?>
        </div>
        
        <div class="input_label_s margin_t">
          <h3><?php echo $this->lang->line('pages_to_display')?></h3>
          <span class="m">
            <?php echo $this->lang->line('pages_to_display_info');?>
          </span>
        </div>
        
        <div class="margin_t_s margin_l">
          <input type="checkbox" name="display_menu_photos" value="1" <?php echo set_checkbox('display_menu_photos', '1', $display_menu_photos);?> />
          <?php echo $this->lang->line('photos');?>
        </div>
        
        <div class="margin_t_s margin_l">
          <input type="checkbox" name="display_menu_archives" value="1" <?php echo set_checkbox('display_menu_archives', '1', $display_menu_archives);?> />
          <?php echo $this->lang->line('archives');?>
        </div>
        
        <div class="margin_t_s margin_l">
          <input type="checkbox" name="display_menu_links" value="1" <?php echo set_checkbox('display_menu_links', '1', $display_menu_links);?> />
          <?php echo $this->lang->line('links');?>
        </div>
        
        <div class="margin_t_s margin_l">
          <input type="checkbox" name="display_menu_pages" value="1" <?php echo set_checkbox('display_menu_pages', '1', $display_menu_pages);?> />
          <?php echo $this->lang->line('pages');?>
        </div>
        
      </div>
  
      </div>
    <div class="greybox_bottom"><div></div></div>
  </div>
  
  
  <!-- ++++++++++++++++++++++ SITE MODE +++++++++++++++++++++++ -->
  
  <div class="greybox margin_t">
    <div class="greybox_top"><div></div></div>
      <div class="greybox_content">
  
      <div id="mode_options_switch" class="<?php echo ($mode_options_open ? 'grey_switch_open' : 'grey_switch_close')?>"><a href="javascript:;" onClick="javascript:toggle_options('mode_options_container', 'mode_options_switch');"><?php echo $this->lang->line('site_mode');?></a></div>
  
      <div id="mode_options_container" class="options_container" style="display: <?php echo ($mode_options_open ? 'block' : 'none')?>;">
        
        <div>
        <?php echo $this->lang->line('site_mode_info')?>
        </div>
        
        <br class="clearboth" />
        <div class="floatleft"><input type="radio" name="mode" id="radio_normal_mode" value="NORMAL" <?php echo set_radio('mode', 'NORMAL', ($mode == 'NORMAL' ? TRUE : FALSE))?>></div>
        <div class="margin_l m">
          <strong><?php echo $this->lang->line('normal_mode');?></strong><br />
          <?php echo $this->lang->line('normal_mode_info');?>
        </div>
        
        <br class="clearboth" />
        <div class="floatleft"><input type="radio" name="mode" id="radio_flickr_mode" value="FLICKR" <?php echo set_radio('mode', 'FLICKR', ($mode == 'FLICKR' ? TRUE : FALSE))?>></div>
        <div class="margin_l m">
          <strong><?php echo $this->lang->line('flickr_mode');?></strong><br />
          <?php echo $this->lang->line('flickr_mode_info');?>
          <div class="margin_t_s">
            <div class="input_label_s" id="flickr_container" <?=($mode == 'FLICKR' ? 'style="display: block;"' : 'style="display: none;"')?>>
              <?php echo $this->lang->line('your_flickr_user_id');?>:<br />
              <span class="m"><?php echo $this->lang->line('your_flickr_user_id_info');?></span>
              <div class="input_field_s"><input type="text" id="flickr_user_id" name="flickr_user_id" value="<?php echo set_value('flickr_user_id', $flickr_user_id)?>" size="4" class="width_100<?php echo (form_error('blog_title') ? ' redborder' : '')?>" /></div>
            </div>
          </div>
        </div>
        
      </div>
  
      </div>
    <div class="greybox_bottom"><div></div></div>
  </div>
  
  
  <div class="margin_t">
    <input type="hidden" name="posted" value="1" />
    <input type="submit" name="submit_button" value="<?php echo $this->lang->line('update_settings');?>" class="submit_button" />
  </div>


<?php echo form_close();?>

</div>